"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const rules_1 = require("./utils/rules");
const base_1 = __importDefault(require("./configs/flat/base"));
const recommended_1 = __importDefault(require("./configs/flat/recommended"));
const vue2_recommended_1 = __importDefault(require("./configs/flat/vue2-recommended"));
const all_1 = __importDefault(require("./configs/flat/all"));
const configs = {
    base: require("./configs/base"),
    recommended: require("./configs/recommended"),
    "vue3-recommended": require("./configs/vue3-recommended"),
    all: require("./configs/all"),
    "flat/base": base_1.default,
    "flat/recommended": recommended_1.default,
    "flat/vue2-recommended": vue2_recommended_1.default,
    "flat/all": all_1.default,
};
const rules = rules_1.rules.reduce((obj, r) => {
    var _a;
    obj[((_a = r.meta.docs) === null || _a === void 0 ? void 0 : _a.ruleName) || ""] = r;
    return obj;
}, {});
module.exports = {
    configs,
    rules,
};
